Skip to main content
GET
/
contracts
Listar Contratos
curl --request GET \
  --url https://api.verifica.ia.br/contracts \
  --header 'Authorization: Bearer <token>'
{
  "contracts": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "url": "<string>",
      "fileSize": 123,
      "date": "2023-11-07T05:31:56Z",
      "status": "draft",
      "userId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
    }
  ],
  "total": 123,
  "page": 123,
  "limit": 123,
  "totalPages": 123
}

Authorizations

Authorization
string
header
required

Token JWT obtido através do endpoint /auth/login.

Inclua o token no header: Authorization: Bearer SEU_TOKEN_JWT

Query Parameters

page
integer
default:1

Número da página

Required range: x >= 1
limit
integer
default:10

Itens por página

Required range: 1 <= x <= 100

Response

Lista de contratos

contracts
object[]
total
integer

Total de contratos

page
integer

Página atual

limit
integer

Itens por página

totalPages
integer

Total de páginas